Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1070480 - Claws-Mail IMAP related memory corruption crash while waiting for server response and a network reconnection happens
Summary: Claws-Mail IMAP related memory corruption crash while waiting for server resp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 23:21 UTC by Raphael Groner
Modified: 2015-01-05 07:36 UTC (History)
1 user (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 09:20:22 UTC


Attachments (Terms of Use)
core_backtrace (deleted)
2014-02-26 23:22 UTC, Raphael Groner
no flags Details
backtrace (deleted)
2014-02-26 23:35 UTC, Raphael Groner
no flags Details

Description Raphael Groner 2014-02-26 23:21:51 UTC
Description of problem:
Claws Mail crashed for unknown reason.

Version-Release number of selected component (if applicable):
3.9.3-1

How reproducible:
maybe

Steps to Reproduce:
1. Start Claws Mail
2. minimize to systray
3. wait

Actual results:
crash with abrt warning

Expected results:
no crash

Additional info:
see attached logs

Comment 1 Raphael Groner 2014-02-26 23:22:32 UTC
Created attachment 868233 [details]
core_backtrace

Comment 2 Raphael Groner 2014-02-26 23:33:11 UTC
coredump.xz has more than 11MB, so I can't upload here. uncompressed about 15MB

Comment 3 Raphael Groner 2014-02-26 23:34:25 UTC
coredump uncompressed 243MB ...

Comment 4 Raphael Groner 2014-02-26 23:35:44 UTC
Created attachment 868246 [details]
backtrace

Comment 5 Michael Schwendt 2014-03-06 08:24:40 UTC
> #0  0x000000355d27e423 in _int_malloc (av=av@entry=0x355d5b8760 <main_arena>,
> bytes=bytes@entry=4504) at malloc.c:3547

For a released stable dist, a crash in glibc (memory management) always has the bad smell of something corrupting the heap, and in this case, it's related to IMAP access again,

> #2  0x000000356024eec7 in g_malloc0 (n_bytes=n_bytes@entry=4504) at gmem.c:134
>        mem = <optimized out>
> #3  0x00000000004a2a35 in imap_session_new (account=0x###, folder=0x1e31db0) 
> at imap.c:1161

and hence my usual pointers at the comments in

  http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=3084
and
  http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=3089

apply. It's a weak spot of Claws Mail. I haven't found the time to continue with debugging http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2769

Comment 6 Raphael Groner 2014-03-06 12:28:27 UTC
Thanks for your debugging. I have the impression that the crash happens when the connection dies unexpectedly, maybe while the process of scanning for new mails.

Comment 7 Michael Schwendt 2014-05-01 14:41:03 UTC
Recently, there have been several bug-fixes upstream that will stop some of the side-effect based crashes in e.g. memory management.


This bug will need retesting once a new version of Claws Mail (or a Test Update) will be available.

Comment 8 Fedora Update System 2014-05-26 21:17:14 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 9 Fedora Update System 2014-05-26 21:17:48 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 10 Fedora Update System 2014-05-28 02:56:16 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 11 Raphael Groner 2014-05-30 09:01:42 UTC
(In reply to Michael Schwendt from comment #7)
> This bug will need retesting once a new version of Claws Mail (or a Test
> Update) will be available.

I think, I've found a process to reproduce:
While Claws-Mail is checking for new mails and the network connection is very slow (or not working at all), it doesn't detect a disconnection or reconnection. It waits then forever and crashes finally at some point. The systray icon doesn't show the disconnection state while that happens, probably cause it doesn't get notification from glib. So I guess Claws-Mail tries to use old invalid parameters (cause not aware of a reconnection) when the new connection is established.

Comment 12 Raphael Groner 2014-05-30 09:20:22 UTC
(In reply to Fedora Update System from comment #8)
> claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.
> fc20 has been submitted as an update for Fedora 20.
> https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-
> plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

There's no crash when I unplug the network while Claws-Mail is checking for new mails. Thanks.

Comment 13 Fedora Update System 2014-05-30 23:49:24 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-11-02 17:51:40 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 15 Fedora Update System 2014-11-02 17:52:17 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 16 Fedora Update System 2014-11-02 17:54:57 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 17 Fedora Update System 2014-11-10 06:30:05 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-11-10 06:33:50 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-01-05 07:36:13 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.